Bug 101613 - [PATCH] bsd.wx.mk: integrate existing ports with it
Summary: [PATCH] bsd.wx.mk: integrate existing ports with it
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-07 22:30 UTC by Alejandro Pulver
Modified: 2006-12-01 07:40 UTC (History)
0 users

See Also:


Attachments
patch.diff (102.28 KB, patch)
2006-08-07 22:30 UTC, Alejandro Pulver
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Pulver freebsd_committer 2006-08-07 22:30:15 UTC

- Integrate existing ports that use WxWidgets with bsd.wx.mk.
- Fix previous bug when using multiple components (see note about .for loop when adding dependencies).
- Use ":" to separate components and dependency types instead of "_".
- Add default dependency types (e.g. wx -> wx:lib but python -> python:run).
- Add WX_PREMK variable instead of processing the USE_WX_* and WX_* variables on each inclusion.
- Add note in bsd.wx.mk about its existence.
Comment 1 Edwin Groothuis freebsd_committer 2006-08-07 23:49:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Submitter is maintaierin
Comment 2 Alejandro Pulver freebsd_committer 2006-08-08 04:25:28 UTC
Responsible Changed
From-To: alepulver->portmgr

Needs to be tested in a build cluster.
Comment 3 Alejandro Pulver freebsd_committer 2006-08-15 22:21:39 UTC
This new bsd.wx.mk avoids processing the component list and adding
dependencies twice (adds a _WX_Include_Post check and definition).

#-*- mode: makefile; tab-width: 4; -*-
# ex:ts=4
#
# $FreeBSD: ports/Mk/bsd.wx.mk,v 1.1 2006/07/05 02:13:12 linimon Exp $
#
# bsd.wx.mk - Support for WxWidgets based ports.
#
# Created by: Alejandro Pulver <alepulver@FreeBSD.org>
#
# Please view me with 4 column tabs!
#
# The following variables can be defined in a port that uses the WxWidgets
# library, contributed libraries, WxPython and/or more WxWidgets related
# components (with run and/or build dependencies). It can be used after and/or
# before bsd.port.pre.mk, but Python components will only work if Python
# variables (e.g. USE_PYTHON) are defined before it (this is a bsd.python.mk
# limitation), at least it is manually included.
# USE_WX		- Set to the list of WxWidgets versions that can be used by
#				  the port. The syntax allows the following elements:
#				  - Single version (e.g. "2.4").
#				  - Range of versions (e.g. "2.4-2.6"). Must be ascending.
#				  - Partial range: single version and upper (e.g. "2.4+").
#				  - Partial range: single version and lower (e.g. "-2.6").
#				  Multiple elements can be specified separated by spaces.
# USE_WX_NOT	- Set to the list of WxWidgets versions that can't be used by
#				  the port. In other words, it removes some versions from
#				  USE_WX. If the latter is not defined, it will have the value
#				  of all the possible versions. The syntax is like USE_WX.
# WX_COMPS		- Set to the list of WxWidgets components the port uses.
#				  Several components can be specified separated by spaces. By
#				  default it will have the value of "wx". Suffixes in the form
#				  ":xxx" may be added to the components to determine the
#				  dependency type.
#				  The available components are:
#				  wx			- The WxWidgets library.
#				  contrib		- The WxWidgets contributed libraries.
#				  python		- The WxWidgets API for Python (WxPython).
#				  mozilla		- WxMozilla (only for 2.4).
#				  svg			- WxSVG (only for 2.6).
#				  The available dependency types are:
#				  build			- Requires component for building.
#				  lib			- Requires component for building and running.
#				  run			- Requires component for running.
#				  If no suffix is present then "run" will be used for "python"
#				  and "lib" for others.
# WX_CONF_ARGS	- Set to "absolute" or "relative" if the port needs configure
#				  arguments in addition to the WX_CONFIG environment variable.
#				  It determines the type of parameters that have to be passed
#				  to the configure script. In the first case it adds
#				  "--with-wx-config=${WX_CONFIG}" (absolute path of
#				  WX_CONFIG), and in second one "--with-wx=${X11BASE}" plus
#				  "--with-wx-config=${WX_CONFIG:T} (prefix and name).
# WX_PREMK		- Define to determine version and define WX_CONFIG/WX_VERSION
#				  after <bsd.port.pre.mk> (in case the port needs to manually run
#				  the script).
# WX_UNICODE	- Define if the port needs the Unicode version of the
#				  WxWidgets library and/or contributed libraries.
#				  NOTE: this should NOT be used for ports that can be compiled
#				  with Unicode or not, but for the ones that require it.
# WANT_UNICODE	- Define if the port prefers Unicode, but doesn't require it.
# WANT_WX		- Set to "yes" or a valid single version (no ranges, etc).
#				  In both cases it will detect the installed WxWidgets
#				  components and add them to the variable HAVE_WX. If a
#				  version is selected, HAVE_WX will contain a list of
#				  components in the other case it will contain a list of
#				  "component-version" pairs (e.g. wx-2.6, contrib-2.4, etc).
#				  It has to be used before bsd.port.pre.mk.
# WANT_WX_VER	- Set to the prefered WxWidgets version for the port. It must
#				  be present in USE_WX or missing in USE_WX_NOT. This is
#				  overriden by the user variable WITH_WX_VER if set. It can
#				  contain multiple versions in order of preference (last ones
#				  are tried first).
#
# The following variables are intended for the user and can be defined in
# make.conf.
# WITH_UNICODE	- Define if you prefer the Unicode version when available.
# WITHOUT_UNICODE	- Define if you prefer the non Unicode version (this
#					  variable disables WITH_UNICODE and WANT_UNICODE).
# WITH_WX_VER	- Define to the list of prefered versions in reverse order.
#
# The following variables are defined by this file, to be read from the port.
# WX_UNICODE	- If this variable is not defined by the port (which means it
#				  requires the Unicode version of WxWidgets), it will be
#				  defined in the case the Unicode version is used (enabled by
#				  WITH_UNICODE or WANT_UNICODE).
# WX_VERSION	- The WxWidgets version that is going to be used.
# HAVE_WX		- The list of WxWidgets components installed, if WANT_WX was
#				  defined. The components will have version suffix if it was
#				  set to "yes".
#
# Examples:
# - A port that needs WxWidgets 2.6 and contributed libraries with Unicode.
#	USE_WX=		2.6
#	WX_COMPS=	wx contrib
#	WX_UNICODE=	yes
# - A port that needs WxPython 2.4 for running.
#	USE_PYTHON=	yes
#	USE_WX=		2.4
#	WX_COMPS=	python:run
# - A port that needs WxPython 2.4 or 2.6 for building.
#	USE_PYTHON=	yes
#	USE_WX=		2.4 2.6
#	WX_COMPS=	python:build
# - A port that needs WxWidgets version 2.4 or higher and contributed
#	libraries.
#	USE_WX=		2.4+
#	WX_COMPS=	wx contrib
# - A port that needs WxWidgets of any version other than 2.4.
#	USE_WX_NOT=	2.4
#

WX_Include_MAINTAINER=	alepulver@FreeBSD.org

#
# Global definitions.
#

.if !defined(_WX_Definitions_Done)
_WX_Definitions_Done=	yes

#
# Common variables:
# _WX_COMPS_ALL			- List of valid components.
# _WX_DEP_TYPES_ALL		- List of valid dependency types.
# _WX_VERS_ALL			- List of supported versions.
# _WX_VERS_UC_ALL		- List of Unicode capable versions.
# _WX_VERS_LISTS		- Reverse lists preference order.
#

_WX_COMPS_ALL=			wx contrib python mozilla svg
_WX_DEP_TYPES_ALL=		build lib run
_WX_VERS_ALL=			2.4 2.6
_WX_VERS_UC_ALL=		2.6
_WX_VERS_LISTS=			WANT_WX_VER WITH_WX_VER

#
# Variables used to determine what is needed:
# _WX_PORT_comp_ver		- Port directory.
# _WX_LIB_comp_ver		- Name of the shared library (optional).
# _WX_SHVER_comp_ver	- Shared library version (optional).
# _WX_FILE_comp_ver		- File installed by that component.
# _WX_DEPTYPE_comp_ver	- Default dependency type (optional).
#

_WX_PORT_wx_2.4=		x11-toolkits/wxgtk24
_WX_LIB_wx_2.4=			wx_gtk2-2.4

_WX_PORT_contrib_2.4=	x11-toolkits/wxgtk24-contrib
_WX_LIB_contrib_2.4=	wx_gtk2_canvas-2.4

_WX_PORT_python_2.4=	x11-toolkits/py-wxPython24
_WX_FILE_python_2.4=	${PYTHON_SITELIBDIR}/wx/__init__.py

_WX_PORT_mozilla_2.4=	x11-toolkits/wxmozilla
_WX_LIB_mozilla_2.4=	wxmozilla_gtk2-2.4

_WX_PORT_wx_2.6=		x11-toolkits/wxgtk26${_WX_UCL}
_WX_LIB_wx_2.6=			wx_base${_WX_UC}-2.6

_WX_PORT_contrib_2.6=	x11-toolkits/wxgtk26${_WX_UCL}-contrib
_WX_LIB_contrib_2.6=	wx_gtk2${_WX_UC}_animate-2.6

_WX_PORT_python_2.6=	x11-toolkits/py-wxPython26${_WX_UCL}
_WX_FILE_python_2.6=	${PYTHON_SITELIBDIR}/wx-2.6-gtk2${_WX_PYSUFX}/wx/__init__.py

_WX_PORT_svg_2.6=		x11-toolkits/wxsvg
_WX_LIB_svg_2.6=		wxsvg

# Set _WX_SHVER_comp_ver to 0 and _WX_FILE_comp_ver for libs appropiately.
# Set _WX_DEPTYPE_comp_ver for "python" to "run", and others to "lib".

.for comp in ${_WX_COMPS_ALL}
_WX_COMP=				${comp}
.	for ver in ${_WX_VERS_ALL}
.		if defined(_WX_LIB_${comp}_${ver})
_WX_SHVER_${comp}_${ver}=	0
_WX_FILE_${comp}_${ver}=	${X11BASE}/lib/lib${_WX_LIB_${comp}_${ver}}.so.${_WX_SHVER_${comp}_${ver}}
.		endif
.		if ${_WX_COMP} == "python"
_WX_DEPTYPE_${comp}_${ver}=	run
.		else
_WX_DEPTYPE_${comp}_${ver}=	lib
.		endif
.	endfor
.endfor

.endif		# !_WX_Defined_Done

#
# Check if the user/port wants Unicode.
#

.if ${OSVERSION} >= 500000 && (!defined(WITHOUT_UNICODE) && \
    (defined(WITH_UNICODE) || defined(WANT_UNICODE)))
_WX_UC_AVAILABLE=			yes
.else
.undef _WX_UC_AVAILABLE
.endif

#
# Check for present components.
#

.if defined(WANT_WX) && !defined(AFTERPORTMK)

# Check if Unicode will be used.

.	for __WANT_WX in ${WANT_WX}
.		if defined(_WX_UC_AVAILABLE) && \
		   (${_WX_VERS_UC_ALL:M${__WANT_WX}} != "" || ${WANT_WX:L} == "yes")
_WX_WANT_UNICODE=		yes
.		endif
.	endfor

# These variables are reprocessed later so they won't affect other parts.

.	if defined(WX_UNICODE) || defined(_WX_WANT_UNICODE)
_WX_VER_FINAL=			${_WX_VERS_UC_ALL}
_WX_UC=					u
_WX_UCL=				-unicode
_WX_PYSUFX=				-unicode
.	else
_WX_VER_FINAL=			${_WX_VERS_ALL}
_WX_UC=					#
_WX_UCL=				#
_WX_PYSUFX=				-ansi
.	endif

# Fill HAVE_WX with the installed components.

.	for __WANT_WX in ${WANT_WX}
# Check if WANT_WX contains more than one word.
.		if defined(HAVE_WX)
IGNORE?=				selected multiple values for WANT_WX: ${WANT_WX}
.		endif
HAVE_WX=				#
# Check for all versions.
.		if ${WANT_WX:L} == "yes"
.			for comp in ${_WX_COMPS_ALL}
.				for ver in ${_WX_VER_FINAL}
_WX_COMP=				_WX_FILE_${comp}_${ver}
.					if defined(${_WX_COMP}) && exists(${${_WX_COMP}})
HAVE_WX+=				${comp}-${ver}
.					endif
.				endfor
.			endfor
# Check for a specific version.
.		elif ${_WX_VERS_ALL:M${__WANT_WX}}
.			for comp in ${_WX_COMPS_ALL}
.				if exists(${_WX_FILE_${comp}_${__WANT_WX}})
HAVE_WX+=				${comp}
.				endif
.			endfor
.		else
IGNORE?=				selected an invalid value for WANT_WX: ${__WANT_WX}
.		endif
.	endfor
.endif		# ! AFTERPORTMK && WANT_WX

#
# Select WxWidgets version.
#

.if !defined(_WX_Version_Done) && (!defined(BEFOREPORTMK) || \
    (defined(WX_PREMK) && !defined(AFTERPORTMK) && \
    (defined(USE_WX) || defined(USE_WX_NOT))))
_WX_Version_Done=		yes

# Set defaults (if one isn't present).

USE_WX?=				${_WX_VERS_ALL}
USE_WX_NOT?=			#

#
# Make lists of valid and invalid versions.
#
# The following variables are used:
# _WX_VER_CHECK			- If the version is a single one, express in a range.
# _WX_VER_MIN			- Lower version of the range.
# _WX_VER_MAX			- Higher version of the range.
# _WX_VER_LIST			- List of requested versions.
# _WX_VER_NOT_LIST		- List of disallowed versions.
# _WX_VER_MERGED		- List of requested version without disallowed ones.
#

.for list in VER VER_NOT
_WX_${list}_LIST=		#
.	for ver in ${USE_WX${list:C/VER//}}
_WX_VER_CHECK:=			${ver:C/^([[:digit:]]+(\.[[:digit:]]+)*)$/\1-\1/}
_WX_VER_MIN:=			${_WX_VER_CHECK:C/([[:digit:]]+(\.[[:digit:]]+)*)[-+].*/\1/}
_WX_VER_MAX:=			${_WX_VER_CHECK:C/.*-([[:digit:]]+(\.[[:digit:]]+)*)/\1/}
# Minimum version not specified.
.		if ${_WX_VER_MIN} == ${_WX_VER_CHECK}
.			undef _WX_VER_MIN
.			for v in ${_WX_VERS_ALL}
_WX_VER_MIN?=			${v}
.			endfor
.		endif
# Maximum version not specified.
.		if ${_WX_VER_MAX} == ${_WX_VER_CHECK}
.			for v in ${_WX_VERS_ALL}
_WX_VER_MAX=			${v}
.			endfor
.		endif
# Expand versions and add valid ones to each list.
.		for v in ${_WX_VERS_ALL}
.			if ${_WX_VER_MIN} <= ${v} && ${_WX_VER_MAX} >= ${v} && \
			   ${_WX_${list}_LIST:M${v}} == ""
_WX_${list}_LIST+=		${v}
.			endif
.		endfor
.	endfor
.endfor

# Merge the lists into a single list of valid versions.

_WX_VER_MERGED=			#
.for ver in ${_WX_VER_LIST}
.	if ${_WX_VER_NOT_LIST:M${ver}} == ""
_WX_VER_MERGED+=		${ver}
.	endif
.endfor

# Check for a null version.

.if empty(_WX_VER_MERGED)
IGNORE?=				selected a null or invalid WxWidgets version
.endif

#
# Unicode support.
#

# Create a list of capable versions.

_WX_VER_UC=				#
.for ver in ${_WX_VER_MERGED}
.	if ${_WX_VERS_UC_ALL:M${ver}} != ""
_WX_VER_UC+=			${ver}
.	endif
.endfor

# Requested by the user or port (optional).

.if defined(_WX_UC_AVAILABLE)
.	for ver in ${_WX_VER_UC}
.		if ${_WX_VERS_UC_ALL:M${ver}} != ""
WX_UNICODE=				yes
.		endif
.	endfor
.endif

# Requested by the port (mandatory).

.if defined(WX_UNICODE)
.	if ${OSVERSION} < 500000
IGNORE?=				requires FreeBSD versions >= 5.X (because of Unicode)
.	elif empty(_WX_VER_UC)
IGNORE?=				selected a WxWidgets version which does not support Unicode: ${_WX_VER_MERGED}
.	endif
.endif

# Set Unicode variables.

.if defined(WX_UNICODE)
_WX_VER_FINAL=			${_WX_VER_UC}
_WX_UC=					u
_WX_UCL=				-unicode
_WX_PYSUFX=				-unicode
.else
_WX_VER_FINAL=			${_WX_VER_MERGED}
_WX_UC=					#
_WX_UCL=				#
_WX_PYSUFX=				-ansi
.endif

#
# Choose final version.
#

#
# Check for the following (in order):
# 1) WITH_WX_VER		- User preference.
# 2) WANT_WX_VER		- Port preference.
# 3) _WX_VER_FINAL		- Available versions.
#

.for list in _WX_VER_FINAL ${_WX_VERS_LISTS}
.	if defined(${list})
.		for ver in ${${list}}
.			if ${_WX_VER_FINAL:M${ver}} != ""
_WX_VER=				${ver}
.			endif
.		endfor
.	endif
.endfor

#
# Set variables.
#

WX_VERSION=				${_WX_VER}
WX_CONFIG?=				${X11BASE}/bin/wxgtk2${_WX_UC}-${_WX_VER}-config

.endif		# !_WX_Version_Done && (!BEFOREPORTMK || \
#			(WX_PREMK && !AFTERPORTMK && (USE_WX || USE_WX_NOT)))

#
# Process components list and add dependencies, variables, etc.
#

.if !defined(BEFOREPORTMK) && !defined(_WX_Include_Post)
_WX_Include_Post=		yes

#
# Component parsing.
#
# The variables used are:
# _WX_COMP				- Component part.
# _WX_DEP_TYPE			- Dependency type part.
# _WX_COMP_NEW			- Component + dependency type.
# _WX_COMPS_FINAL		- Final list of components with dependency types.
#

# Default components.

WX_COMPS?=				wx

# Detect invalid and duplicated components.

_WX_COMPS_FINAL=		#
.for comp in ${WX_COMPS}
_WX_COMP=				${comp:C/:([[:alpha:]]+)$//}
.	if ${_WX_COMP} == ${comp}
_WX_DEP_TYPE=			${_WX_DEPTYPE_${comp}_${_WX_VER}}
.	else
_WX_DEP_TYPE=			${comp:C/.+:([[:alpha:]]+)$/\1/}
.	endif
_WX_COMP_NEW=			${_WX_COMP}_${_WX_DEP_TYPE}
.	for __WX_COMP in ${_WX_COMP}
.		if ${_WX_COMPS_ALL:M${__WX_COMP}} == ""
IGNORE?=				selected an invalid WxWidgets component: ${__WX_COMP}
.		endif
.	endfor
.	for __WX_DEP_TYPE in ${_WX_DEP_TYPE}
.		if ${_WX_DEP_TYPES_ALL:M${__WX_DEP_TYPE}} == ""
IGNORE?=				selected an invalid WxWidgets dependency type: ${__WX_DEP_TYPE}
.		endif
.	endfor
.	if !defined(_WX_PORT_${_WX_COMP}_${_WX_VER})
IGNORE?=				selected a WxWidgets component (${_WX_COMP}) which is not available for the selected version (${_WX_VER})
.	endif
.	for newcomp in ${_WX_COMP_NEW}
.		if ${_WX_COMPS_FINAL:M${newcomp}} == ""
_WX_COMPS_FINAL+=		${newcomp}
.		endif
.	endfor
.endfor

# Add dependencies.
#
# The variable used are:
# _WX_COMP		-		- Component part.
# _WX_DEP_TYPE			- Dependency type part.

.for comp in ${_WX_COMPS_FINAL}
_WX_COMP=				${comp:C/_([[:alpha:]]+)$//}
_WX_DEP_TYPE=			${comp:C/.+_([[:alpha:]]+)$/\1/}
# XXX Need a .for loop here so the variable is expanded before the assignment.
.	for comp_part in ${_WX_COMP}
.		if ${_WX_DEP_TYPE} == "lib"
.			if defined(_WX_LIB_${_WX_COMP}_${_WX_VER})
LIB_DEPENDS+=			${_WX_LIB_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
.			else
BUILD_DEPENDS+=			${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
RUN_DEPENDS+=			${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
.			endif
.		else
${_WX_DEP_TYPE:U}_DEPENDS+=	${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
.		endif
.	endfor
.endfor

#
# Set build related variables.
#

MAKE_ENV+=				WX_CONFIG=${WX_CONFIG}
CONFIGURE_ENV+=			WX_CONFIG=${WX_CONFIG}

.if defined(WX_CONF_ARGS)
.	if ${WX_CONF_ARGS:L} == "absolute"
CONFIGURE_ARGS+=		--with-wx-config=${WX_CONFIG}
.	elif ${WX_CONF_ARGS:L} == "relative"
CONFIGURE_ARGS+=		--with-wx=${X11BASE} \
						--with-wx-config=${WX_CONFIG:T}
.	else
IGNORE?=				selected an invalid WxWidgets configure argument type: ${WX_CONF_ARGS}
.	endif
.endif

.endif		# ! BEFOREPORTMK
Comment 4 Alejandro Pulver freebsd_committer 2006-08-15 22:21:39 UTC
This new bsd.wx.mk avoids processing the component list and adding
dependencies twice (adds a _WX_Include_Post check and definition).

#-*- mode: makefile; tab-width: 4; -*-
# ex:ts=4
#
# $FreeBSD: ports/Mk/bsd.wx.mk,v 1.1 2006/07/05 02:13:12 linimon Exp $
#
# bsd.wx.mk - Support for WxWidgets based ports.
#
# Created by: Alejandro Pulver <alepulver@FreeBSD.org>
#
# Please view me with 4 column tabs!
#
# The following variables can be defined in a port that uses the WxWidgets
# library, contributed libraries, WxPython and/or more WxWidgets related
# components (with run and/or build dependencies). It can be used after and/or
# before bsd.port.pre.mk, but Python components will only work if Python
# variables (e.g. USE_PYTHON) are defined before it (this is a bsd.python.mk
# limitation), at least it is manually included.
# USE_WX		- Set to the list of WxWidgets versions that can be used by
#				  the port. The syntax allows the following elements:
#				  - Single version (e.g. "2.4").
#				  - Range of versions (e.g. "2.4-2.6"). Must be ascending.
#				  - Partial range: single version and upper (e.g. "2.4+").
#				  - Partial range: single version and lower (e.g. "-2.6").
#				  Multiple elements can be specified separated by spaces.
# USE_WX_NOT	- Set to the list of WxWidgets versions that can't be used by
#				  the port. In other words, it removes some versions from
#				  USE_WX. If the latter is not defined, it will have the value
#				  of all the possible versions. The syntax is like USE_WX.
# WX_COMPS		- Set to the list of WxWidgets components the port uses.
#				  Several components can be specified separated by spaces. By
#				  default it will have the value of "wx". Suffixes in the form
#				  ":xxx" may be added to the components to determine the
#				  dependency type.
#				  The available components are:
#				  wx			- The WxWidgets library.
#				  contrib		- The WxWidgets contributed libraries.
#				  python		- The WxWidgets API for Python (WxPython).
#				  mozilla		- WxMozilla (only for 2.4).
#				  svg			- WxSVG (only for 2.6).
#				  The available dependency types are:
#				  build			- Requires component for building.
#				  lib			- Requires component for building and running.
#				  run			- Requires component for running.
#				  If no suffix is present then "run" will be used for "python"
#				  and "lib" for others.
# WX_CONF_ARGS	- Set to "absolute" or "relative" if the port needs configure
#				  arguments in addition to the WX_CONFIG environment variable.
#				  It determines the type of parameters that have to be passed
#				  to the configure script. In the first case it adds
#				  "--with-wx-config=${WX_CONFIG}" (absolute path of
#				  WX_CONFIG), and in second one "--with-wx=${X11BASE}" plus
#				  "--with-wx-config=${WX_CONFIG:T} (prefix and name).
# WX_PREMK		- Define to determine version and define WX_CONFIG/WX_VERSION
#				  after <bsd.port.pre.mk> (in case the port needs to manually run
#				  the script).
# WX_UNICODE	- Define if the port needs the Unicode version of the
#				  WxWidgets library and/or contributed libraries.
#				  NOTE: this should NOT be used for ports that can be compiled
#				  with Unicode or not, but for the ones that require it.
# WANT_UNICODE	- Define if the port prefers Unicode, but doesn't require it.
# WANT_WX		- Set to "yes" or a valid single version (no ranges, etc).
#				  In both cases it will detect the installed WxWidgets
#				  components and add them to the variable HAVE_WX. If a
#				  version is selected, HAVE_WX will contain a list of
#				  components in the other case it will contain a list of
#				  "component-version" pairs (e.g. wx-2.6, contrib-2.4, etc).
#				  It has to be used before bsd.port.pre.mk.
# WANT_WX_VER	- Set to the prefered WxWidgets version for the port. It must
#				  be present in USE_WX or missing in USE_WX_NOT. This is
#				  overriden by the user variable WITH_WX_VER if set. It can
#				  contain multiple versions in order of preference (last ones
#				  are tried first).
#
# The following variables are intended for the user and can be defined in
# make.conf.
# WITH_UNICODE	- Define if you prefer the Unicode version when available.
# WITHOUT_UNICODE	- Define if you prefer the non Unicode version (this
#					  variable disables WITH_UNICODE and WANT_UNICODE).
# WITH_WX_VER	- Define to the list of prefered versions in reverse order.
#
# The following variables are defined by this file, to be read from the port.
# WX_UNICODE	- If this variable is not defined by the port (which means it
#				  requires the Unicode version of WxWidgets), it will be
#				  defined in the case the Unicode version is used (enabled by
#				  WITH_UNICODE or WANT_UNICODE).
# WX_VERSION	- The WxWidgets version that is going to be used.
# HAVE_WX		- The list of WxWidgets components installed, if WANT_WX was
#				  defined. The components will have version suffix if it was
#				  set to "yes".
#
# Examples:
# - A port that needs WxWidgets 2.6 and contributed libraries with Unicode.
#	USE_WX=		2.6
#	WX_COMPS=	wx contrib
#	WX_UNICODE=	yes
# - A port that needs WxPython 2.4 for running.
#	USE_PYTHON=	yes
#	USE_WX=		2.4
#	WX_COMPS=	python:run
# - A port that needs WxPython 2.4 or 2.6 for building.
#	USE_PYTHON=	yes
#	USE_WX=		2.4 2.6
#	WX_COMPS=	python:build
# - A port that needs WxWidgets version 2.4 or higher and contributed
#	libraries.
#	USE_WX=		2.4+
#	WX_COMPS=	wx contrib
# - A port that needs WxWidgets of any version other than 2.4.
#	USE_WX_NOT=	2.4
#

WX_Include_MAINTAINER=	alepulver@FreeBSD.org

#
# Global definitions.
#

.if !defined(_WX_Definitions_Done)
_WX_Definitions_Done=	yes

#
# Common variables:
# _WX_COMPS_ALL			- List of valid components.
# _WX_DEP_TYPES_ALL		- List of valid dependency types.
# _WX_VERS_ALL			- List of supported versions.
# _WX_VERS_UC_ALL		- List of Unicode capable versions.
# _WX_VERS_LISTS		- Reverse lists preference order.
#

_WX_COMPS_ALL=			wx contrib python mozilla svg
_WX_DEP_TYPES_ALL=		build lib run
_WX_VERS_ALL=			2.4 2.6
_WX_VERS_UC_ALL=		2.6
_WX_VERS_LISTS=			WANT_WX_VER WITH_WX_VER

#
# Variables used to determine what is needed:
# _WX_PORT_comp_ver		- Port directory.
# _WX_LIB_comp_ver		- Name of the shared library (optional).
# _WX_SHVER_comp_ver	- Shared library version (optional).
# _WX_FILE_comp_ver		- File installed by that component.
# _WX_DEPTYPE_comp_ver	- Default dependency type (optional).
#

_WX_PORT_wx_2.4=		x11-toolkits/wxgtk24
_WX_LIB_wx_2.4=			wx_gtk2-2.4

_WX_PORT_contrib_2.4=	x11-toolkits/wxgtk24-contrib
_WX_LIB_contrib_2.4=	wx_gtk2_canvas-2.4

_WX_PORT_python_2.4=	x11-toolkits/py-wxPython24
_WX_FILE_python_2.4=	${PYTHON_SITELIBDIR}/wx/__init__.py

_WX_PORT_mozilla_2.4=	x11-toolkits/wxmozilla
_WX_LIB_mozilla_2.4=	wxmozilla_gtk2-2.4

_WX_PORT_wx_2.6=		x11-toolkits/wxgtk26${_WX_UCL}
_WX_LIB_wx_2.6=			wx_base${_WX_UC}-2.6

_WX_PORT_contrib_2.6=	x11-toolkits/wxgtk26${_WX_UCL}-contrib
_WX_LIB_contrib_2.6=	wx_gtk2${_WX_UC}_animate-2.6

_WX_PORT_python_2.6=	x11-toolkits/py-wxPython26${_WX_UCL}
_WX_FILE_python_2.6=	${PYTHON_SITELIBDIR}/wx-2.6-gtk2${_WX_PYSUFX}/wx/__init__.py

_WX_PORT_svg_2.6=		x11-toolkits/wxsvg
_WX_LIB_svg_2.6=		wxsvg

# Set _WX_SHVER_comp_ver to 0 and _WX_FILE_comp_ver for libs appropiately.
# Set _WX_DEPTYPE_comp_ver for "python" to "run", and others to "lib".

.for comp in ${_WX_COMPS_ALL}
_WX_COMP=				${comp}
.	for ver in ${_WX_VERS_ALL}
.		if defined(_WX_LIB_${comp}_${ver})
_WX_SHVER_${comp}_${ver}=	0
_WX_FILE_${comp}_${ver}=	${X11BASE}/lib/lib${_WX_LIB_${comp}_${ver}}.so.${_WX_SHVER_${comp}_${ver}}
.		endif
.		if ${_WX_COMP} == "python"
_WX_DEPTYPE_${comp}_${ver}=	run
.		else
_WX_DEPTYPE_${comp}_${ver}=	lib
.		endif
.	endfor
.endfor

.endif		# !_WX_Defined_Done

#
# Check if the user/port wants Unicode.
#

.if ${OSVERSION} >= 500000 && (!defined(WITHOUT_UNICODE) && \
    (defined(WITH_UNICODE) || defined(WANT_UNICODE)))
_WX_UC_AVAILABLE=			yes
.else
.undef _WX_UC_AVAILABLE
.endif

#
# Check for present components.
#

.if defined(WANT_WX) && !defined(AFTERPORTMK)

# Check if Unicode will be used.

.	for __WANT_WX in ${WANT_WX}
.		if defined(_WX_UC_AVAILABLE) && \
		   (${_WX_VERS_UC_ALL:M${__WANT_WX}} != "" || ${WANT_WX:L} == "yes")
_WX_WANT_UNICODE=		yes
.		endif
.	endfor

# These variables are reprocessed later so they won't affect other parts.

.	if defined(WX_UNICODE) || defined(_WX_WANT_UNICODE)
_WX_VER_FINAL=			${_WX_VERS_UC_ALL}
_WX_UC=					u
_WX_UCL=				-unicode
_WX_PYSUFX=				-unicode
.	else
_WX_VER_FINAL=			${_WX_VERS_ALL}
_WX_UC=					#
_WX_UCL=				#
_WX_PYSUFX=				-ansi
.	endif

# Fill HAVE_WX with the installed components.

.	for __WANT_WX in ${WANT_WX}
# Check if WANT_WX contains more than one word.
.		if defined(HAVE_WX)
IGNORE?=				selected multiple values for WANT_WX: ${WANT_WX}
.		endif
HAVE_WX=				#
# Check for all versions.
.		if ${WANT_WX:L} == "yes"
.			for comp in ${_WX_COMPS_ALL}
.				for ver in ${_WX_VER_FINAL}
_WX_COMP=				_WX_FILE_${comp}_${ver}
.					if defined(${_WX_COMP}) && exists(${${_WX_COMP}})
HAVE_WX+=				${comp}-${ver}
.					endif
.				endfor
.			endfor
# Check for a specific version.
.		elif ${_WX_VERS_ALL:M${__WANT_WX}}
.			for comp in ${_WX_COMPS_ALL}
.				if exists(${_WX_FILE_${comp}_${__WANT_WX}})
HAVE_WX+=				${comp}
.				endif
.			endfor
.		else
IGNORE?=				selected an invalid value for WANT_WX: ${__WANT_WX}
.		endif
.	endfor
.endif		# ! AFTERPORTMK && WANT_WX

#
# Select WxWidgets version.
#

.if !defined(_WX_Version_Done) && (!defined(BEFOREPORTMK) || \
    (defined(WX_PREMK) && !defined(AFTERPORTMK) && \
    (defined(USE_WX) || defined(USE_WX_NOT))))
_WX_Version_Done=		yes

# Set defaults (if one isn't present).

USE_WX?=				${_WX_VERS_ALL}
USE_WX_NOT?=			#

#
# Make lists of valid and invalid versions.
#
# The following variables are used:
# _WX_VER_CHECK			- If the version is a single one, express in a range.
# _WX_VER_MIN			- Lower version of the range.
# _WX_VER_MAX			- Higher version of the range.
# _WX_VER_LIST			- List of requested versions.
# _WX_VER_NOT_LIST		- List of disallowed versions.
# _WX_VER_MERGED		- List of requested version without disallowed ones.
#

.for list in VER VER_NOT
_WX_${list}_LIST=		#
.	for ver in ${USE_WX${list:C/VER//}}
_WX_VER_CHECK:=			${ver:C/^([[:digit:]]+(\.[[:digit:]]+)*)$/\1-\1/}
_WX_VER_MIN:=			${_WX_VER_CHECK:C/([[:digit:]]+(\.[[:digit:]]+)*)[-+].*/\1/}
_WX_VER_MAX:=			${_WX_VER_CHECK:C/.*-([[:digit:]]+(\.[[:digit:]]+)*)/\1/}
# Minimum version not specified.
.		if ${_WX_VER_MIN} == ${_WX_VER_CHECK}
.			undef _WX_VER_MIN
.			for v in ${_WX_VERS_ALL}
_WX_VER_MIN?=			${v}
.			endfor
.		endif
# Maximum version not specified.
.		if ${_WX_VER_MAX} == ${_WX_VER_CHECK}
.			for v in ${_WX_VERS_ALL}
_WX_VER_MAX=			${v}
.			endfor
.		endif
# Expand versions and add valid ones to each list.
.		for v in ${_WX_VERS_ALL}
.			if ${_WX_VER_MIN} <= ${v} && ${_WX_VER_MAX} >= ${v} && \
			   ${_WX_${list}_LIST:M${v}} == ""
_WX_${list}_LIST+=		${v}
.			endif
.		endfor
.	endfor
.endfor

# Merge the lists into a single list of valid versions.

_WX_VER_MERGED=			#
.for ver in ${_WX_VER_LIST}
.	if ${_WX_VER_NOT_LIST:M${ver}} == ""
_WX_VER_MERGED+=		${ver}
.	endif
.endfor

# Check for a null version.

.if empty(_WX_VER_MERGED)
IGNORE?=				selected a null or invalid WxWidgets version
.endif

#
# Unicode support.
#

# Create a list of capable versions.

_WX_VER_UC=				#
.for ver in ${_WX_VER_MERGED}
.	if ${_WX_VERS_UC_ALL:M${ver}} != ""
_WX_VER_UC+=			${ver}
.	endif
.endfor

# Requested by the user or port (optional).

.if defined(_WX_UC_AVAILABLE)
.	for ver in ${_WX_VER_UC}
.		if ${_WX_VERS_UC_ALL:M${ver}} != ""
WX_UNICODE=				yes
.		endif
.	endfor
.endif

# Requested by the port (mandatory).

.if defined(WX_UNICODE)
.	if ${OSVERSION} < 500000
IGNORE?=				requires FreeBSD versions >= 5.X (because of Unicode)
.	elif empty(_WX_VER_UC)
IGNORE?=				selected a WxWidgets version which does not support Unicode: ${_WX_VER_MERGED}
.	endif
.endif

# Set Unicode variables.

.if defined(WX_UNICODE)
_WX_VER_FINAL=			${_WX_VER_UC}
_WX_UC=					u
_WX_UCL=				-unicode
_WX_PYSUFX=				-unicode
.else
_WX_VER_FINAL=			${_WX_VER_MERGED}
_WX_UC=					#
_WX_UCL=				#
_WX_PYSUFX=				-ansi
.endif

#
# Choose final version.
#

#
# Check for the following (in order):
# 1) WITH_WX_VER		- User preference.
# 2) WANT_WX_VER		- Port preference.
# 3) _WX_VER_FINAL		- Available versions.
#

.for list in _WX_VER_FINAL ${_WX_VERS_LISTS}
.	if defined(${list})
.		for ver in ${${list}}
.			if ${_WX_VER_FINAL:M${ver}} != ""
_WX_VER=				${ver}
.			endif
.		endfor
.	endif
.endfor

#
# Set variables.
#

WX_VERSION=				${_WX_VER}
WX_CONFIG?=				${X11BASE}/bin/wxgtk2${_WX_UC}-${_WX_VER}-config

.endif		# !_WX_Version_Done && (!BEFOREPORTMK || \
#			(WX_PREMK && !AFTERPORTMK && (USE_WX || USE_WX_NOT)))

#
# Process components list and add dependencies, variables, etc.
#

.if !defined(BEFOREPORTMK) && !defined(_WX_Include_Post)
_WX_Include_Post=		yes

#
# Component parsing.
#
# The variables used are:
# _WX_COMP				- Component part.
# _WX_DEP_TYPE			- Dependency type part.
# _WX_COMP_NEW			- Component + dependency type.
# _WX_COMPS_FINAL		- Final list of components with dependency types.
#

# Default components.

WX_COMPS?=				wx

# Detect invalid and duplicated components.

_WX_COMPS_FINAL=		#
.for comp in ${WX_COMPS}
_WX_COMP=				${comp:C/:([[:alpha:]]+)$//}
.	if ${_WX_COMP} == ${comp}
_WX_DEP_TYPE=			${_WX_DEPTYPE_${comp}_${_WX_VER}}
.	else
_WX_DEP_TYPE=			${comp:C/.+:([[:alpha:]]+)$/\1/}
.	endif
_WX_COMP_NEW=			${_WX_COMP}_${_WX_DEP_TYPE}
.	for __WX_COMP in ${_WX_COMP}
.		if ${_WX_COMPS_ALL:M${__WX_COMP}} == ""
IGNORE?=				selected an invalid WxWidgets component: ${__WX_COMP}
.		endif
.	endfor
.	for __WX_DEP_TYPE in ${_WX_DEP_TYPE}
.		if ${_WX_DEP_TYPES_ALL:M${__WX_DEP_TYPE}} == ""
IGNORE?=				selected an invalid WxWidgets dependency type: ${__WX_DEP_TYPE}
.		endif
.	endfor
.	if !defined(_WX_PORT_${_WX_COMP}_${_WX_VER})
IGNORE?=				selected a WxWidgets component (${_WX_COMP}) which is not available for the selected version (${_WX_VER})
.	endif
.	for newcomp in ${_WX_COMP_NEW}
.		if ${_WX_COMPS_FINAL:M${newcomp}} == ""
_WX_COMPS_FINAL+=		${newcomp}
.		endif
.	endfor
.endfor

# Add dependencies.
#
# The variable used are:
# _WX_COMP		-		- Component part.
# _WX_DEP_TYPE			- Dependency type part.

.for comp in ${_WX_COMPS_FINAL}
_WX_COMP=				${comp:C/_([[:alpha:]]+)$//}
_WX_DEP_TYPE=			${comp:C/.+_([[:alpha:]]+)$/\1/}
# XXX Need a .for loop here so the variable is expanded before the assignment.
.	for comp_part in ${_WX_COMP}
.		if ${_WX_DEP_TYPE} == "lib"
.			if defined(_WX_LIB_${_WX_COMP}_${_WX_VER})
LIB_DEPENDS+=			${_WX_LIB_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
.			else
BUILD_DEPENDS+=			${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
RUN_DEPENDS+=			${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
.			endif
.		else
${_WX_DEP_TYPE:U}_DEPENDS+=	${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
.		endif
.	endfor
.endfor

#
# Set build related variables.
#

MAKE_ENV+=				WX_CONFIG=${WX_CONFIG}
CONFIGURE_ENV+=			WX_CONFIG=${WX_CONFIG}

.if defined(WX_CONF_ARGS)
.	if ${WX_CONF_ARGS:L} == "absolute"
CONFIGURE_ARGS+=		--with-wx-config=${WX_CONFIG}
.	elif ${WX_CONF_ARGS:L} == "relative"
CONFIGURE_ARGS+=		--with-wx=${X11BASE} \
						--with-wx-config=${WX_CONFIG:T}
.	else
IGNORE?=				selected an invalid WxWidgets configure argument type: ${WX_CONF_ARGS}
.	endif
.endif

.endif		# ! BEFOREPORTMK
Comment 5 Alejandro Pulver freebsd_committer 2006-08-17 20:59:46 UTC
This diff contains the updated patches for chinese/BBMan, math/fityk,
math/gambit and x11-toolkits/wxmozilla.

Index: chinese/BBMan/Makefile
===================================================================
RCS file: /home/pcvs/ports/chinese/BBMan/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- chinese/BBMan/Makefile	14 Aug 2006 07:56:43 -0000	1.13
+++ chinese/BBMan/Makefile	17 Aug 2006 19:56:55 -0000
@@ -16,11 +16,10 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	BBMan is a BBS client for X Window System
 
-LIB_DEPENDS=	wx_gtk2-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk24
-
 WRKSRC=		${WRKDIR}/${PORTNAME}
 USE_X_PREFIX=	yes
 USE_ZIP=	yes
+USE_WX=		2.4
 
 PLIST_FILES=	bin/BBMan
 
@@ -35,7 +34,7 @@
 .endif
 
 do-build:
-	cd ${WRKSRC} && ${CXX} main.cpp `wxgtk2-2.4-config --libs --cxxflags` -I${LOCALBASE}/include ${CFLAGS} -o BBMan
+		cd ${WRKSRC} && ${CXX} main.cpp `${WX_CONFIG} --libs --cxxflags` -I${LOCALBASE}/include ${CFLAGS} -o BBMan
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/BBMan ${TARGETDIR}/bin/BBMan
Index: math/fityk/Makefile
===================================================================
RCS file: /home/pcvs/ports/math/fityk/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- math/fityk/Makefile	10 Aug 2006 21:03:01 -0000	1.14
+++ math/fityk/Makefile	17 Aug 2006 19:56:55 -0000
@@ -24,6 +24,8 @@
 USE_WX=		2.6
 WX_CONF_ARGS=	absolute
 USE_GMAKE=	yes
+USE_WX=		2.6
+WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 
Index: math/gambit/Makefile
===================================================================
RCS file: /home/pcvs/ports/math/gambit/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- math/gambit/Makefile	15 Aug 2006 00:29:12 -0000	1.20
+++ math/gambit/Makefile	17 Aug 2006 19:56:55 -0000
@@ -15,14 +15,11 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A library of tools for doing computation in game theory
 
-LIB_DEPENDS=	wx_gtk2_core-2.6.0:${PORTSDIR}/x11-toolkits/wxgtk26
-
 USE_X_PREFIX=	yes
+USE_WX=		2.6
 USE_GNOME=	gnometarget gtk20
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}" \
-		WX_CONFIG="${X11BASE}/bin/wxgtk2-2.6-config"
-MAKE_ENV=	WX_CONFIG="${X11BASE}/bin/wxgtk2-2.6-config"
+CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 USE_LDCONFIG=	yes
 
 CPPFLAGS=	${PTHREAD_CFLAGS}
Index: x11-toolkits/wxmozilla/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-toolkits/wxmozilla/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- x11-toolkits/wxmozilla/Makefile	15 Aug 2006 01:13:41 -0000	1.22
+++ x11-toolkits/wxmozilla/Makefile	17 Aug 2006 19:56:55 -0000
@@ -16,16 +16,14 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Embedding Mozilla in wxWidgets
 
-BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/wxPython/__init__.py:${PORTSDIR}/x11-toolkits/py-wxPython24
-LIB_DEPENDS=	wx_gtk2-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk24
-RUN_DEPENDS=	${BUILD_DEPENDS}
-
 USE_PYTHON=	yes
 USE_GNOME=	gnomehack gnometarget
 USE_GECKO=	mozilla
-WXGTK_CONFIG?=	${X11BASE}/bin/wxgtk2-2.4-config
 USE_AUTOTOOLS=	libtool:15
-CONFIGURE_ARGS=	--with-wx-config=${WXGTK_CONFIG} --enable-python
+CONFIGURE_ARGS=	--enable-python
+USE_WX=		2.4
+WX_COMPS=	python
+WX_CONF_ARGS=	absolute
 USE_LDCONFIG=	yes
 
 .include <bsd.port.pre.mk>
Comment 6 Alejandro Pulver freebsd_committer 2006-08-17 20:59:46 UTC
This diff contains the updated patches for chinese/BBMan, math/fityk,
math/gambit and x11-toolkits/wxmozilla.

Index: chinese/BBMan/Makefile
===================================================================
RCS file: /home/pcvs/ports/chinese/BBMan/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- chinese/BBMan/Makefile	14 Aug 2006 07:56:43 -0000	1.13
+++ chinese/BBMan/Makefile	17 Aug 2006 19:56:55 -0000
@@ -16,11 +16,10 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	BBMan is a BBS client for X Window System
 
-LIB_DEPENDS=	wx_gtk2-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk24
-
 WRKSRC=		${WRKDIR}/${PORTNAME}
 USE_X_PREFIX=	yes
 USE_ZIP=	yes
+USE_WX=		2.4
 
 PLIST_FILES=	bin/BBMan
 
@@ -35,7 +34,7 @@
 .endif
 
 do-build:
-	cd ${WRKSRC} && ${CXX} main.cpp `wxgtk2-2.4-config --libs --cxxflags` -I${LOCALBASE}/include ${CFLAGS} -o BBMan
+		cd ${WRKSRC} && ${CXX} main.cpp `${WX_CONFIG} --libs --cxxflags` -I${LOCALBASE}/include ${CFLAGS} -o BBMan
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/BBMan ${TARGETDIR}/bin/BBMan
Index: math/fityk/Makefile
===================================================================
RCS file: /home/pcvs/ports/math/fityk/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- math/fityk/Makefile	10 Aug 2006 21:03:01 -0000	1.14
+++ math/fityk/Makefile	17 Aug 2006 19:56:55 -0000
@@ -24,6 +24,8 @@
 USE_WX=		2.6
 WX_CONF_ARGS=	absolute
 USE_GMAKE=	yes
+USE_WX=		2.6
+WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 
Index: math/gambit/Makefile
===================================================================
RCS file: /home/pcvs/ports/math/gambit/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- math/gambit/Makefile	15 Aug 2006 00:29:12 -0000	1.20
+++ math/gambit/Makefile	17 Aug 2006 19:56:55 -0000
@@ -15,14 +15,11 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A library of tools for doing computation in game theory
 
-LIB_DEPENDS=	wx_gtk2_core-2.6.0:${PORTSDIR}/x11-toolkits/wxgtk26
-
 USE_X_PREFIX=	yes
+USE_WX=		2.6
 USE_GNOME=	gnometarget gtk20
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}" \
-		WX_CONFIG="${X11BASE}/bin/wxgtk2-2.6-config"
-MAKE_ENV=	WX_CONFIG="${X11BASE}/bin/wxgtk2-2.6-config"
+CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 USE_LDCONFIG=	yes
 
 CPPFLAGS=	${PTHREAD_CFLAGS}
Index: x11-toolkits/wxmozilla/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-toolkits/wxmozilla/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- x11-toolkits/wxmozilla/Makefile	15 Aug 2006 01:13:41 -0000	1.22
+++ x11-toolkits/wxmozilla/Makefile	17 Aug 2006 19:56:55 -0000
@@ -16,16 +16,14 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Embedding Mozilla in wxWidgets
 
-BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/wxPython/__init__.py:${PORTSDIR}/x11-toolkits/py-wxPython24
-LIB_DEPENDS=	wx_gtk2-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk24
-RUN_DEPENDS=	${BUILD_DEPENDS}
-
 USE_PYTHON=	yes
 USE_GNOME=	gnomehack gnometarget
 USE_GECKO=	mozilla
-WXGTK_CONFIG?=	${X11BASE}/bin/wxgtk2-2.4-config
 USE_AUTOTOOLS=	libtool:15
-CONFIGURE_ARGS=	--with-wx-config=${WXGTK_CONFIG} --enable-python
+CONFIGURE_ARGS=	--enable-python
+USE_WX=		2.4
+WX_COMPS=	python
+WX_CONF_ARGS=	absolute
 USE_LDCONFIG=	yes
 
 .include <bsd.port.pre.mk>
Comment 7 Alejandro Pulver freebsd_committer 2006-08-27 22:00:54 UTC
This patch fixes the previous correction to avoid double-inclusion.

Index: Mk/bsd.wx.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.wx.mk,v
retrieving revision 1.1
diff -u -r1.1 bsd.wx.mk
--- Mk/bsd.wx.mk	5 Jul 2006 02:13:12 -0000	1.1
+++ Mk/bsd.wx.mk	27 Aug 2006 20:56:06 -0000
@@ -14,7 +14,7 @@
 # components (with run and/or build dependencies). It can be used after and/or
 # before bsd.port.pre.mk, but Python components will only work if Python
 # variables (e.g. USE_PYTHON) are defined before it (this is a bsd.python.mk
-# limitation).
+# limitation), at least it is manually included.
 # USE_WX		- Set to the list of WxWidgets versions that can be used by
 #				  the port. The syntax allows the following elements:
 #				  - Single version (e.g. "2.4").
@@ -29,7 +29,7 @@
 # WX_COMPS		- Set to the list of WxWidgets components the port uses.
 #				  Several components can be specified separated by spaces. By
 #				  default it will have the value of "wx". Suffixes in the form
-#				  "_xxx" may be added to the components to determine the
+#				  ":xxx" may be added to the components to determine the
 #				  dependency type.
 #				  The available components are:
 #				  wx			- The WxWidgets library.
@@ -41,20 +41,23 @@
 #				  build			- Requires component for building.
 #				  lib			- Requires component for building and running.
 #				  run			- Requires component for running.
-#				  If no suffix is present then "lib" will be used.
+#				  If no suffix is present then "run" will be used for "python"
+#				  and "lib" for others.
 # WX_CONF_ARGS	- Set to "absolute" or "relative" if the port needs configure
 #				  arguments in addition to the WX_CONFIG environment variable.
 #				  It determines the type of parameters that have to be passed
 #				  to the configure script. In the first case it adds
-#				  "--with-wx-config=${WX_CONFIG}" (absolute path of WX_CONFIG),
-#				  and in second one "--with-wx=${X11BASE}" and
+#				  "--with-wx-config=${WX_CONFIG}" (absolute path of
+#				  WX_CONFIG), and in second one "--with-wx=${X11BASE}" plus
 #				  "--with-wx-config=${WX_CONFIG:T} (prefix and name).
-# WX_UNICODE	- Set to "yes" (or anything) if the port needs the Unicode
-#				  version of the WxWidgets library and/or contributed
-#				  libraries.
+# WX_PREMK		- Define to determine version and define WX_CONFIG/WX_VERSION
+#				  after <bsd.port.pre.mk> (in case the port needs to manually run
+#				  the script).
+# WX_UNICODE	- Define if the port needs the Unicode version of the
+#				  WxWidgets library and/or contributed libraries.
 #				  NOTE: this should NOT be used for ports that can be compiled
-#				  with Unicode or not, but for the ones that require it. The
-#				  first case is handled by the user variable WITH_UNICODE.
+#				  with Unicode or not, but for the ones that require it.
+# WANT_UNICODE	- Define if the port prefers Unicode, but doesn't require it.
 # WANT_WX		- Set to "yes" or a valid single version (no ranges, etc).
 #				  In both cases it will detect the installed WxWidgets
 #				  components and add them to the variable HAVE_WX. If a
@@ -70,23 +73,20 @@
 #
 # The following variables are intended for the user and can be defined in
 # make.conf.
-# WITH_UNICODE	- If the variable is defined and both the running FreeBSD
-#				  version and the selected WxWidgets version support Unicode,
-#				  then the Unicode version of WxWidgets is used.
-# WITH_WX_VER	- If the variable is defined the version it contains will be
-#				  used as the default for ports that support multiple
-#				  WxWidgets versions. It can contain multiple versions, and
-#				  the last possible one will be used.
+# WITH_UNICODE	- Define if you prefer the Unicode version when available.
+# WITHOUT_UNICODE	- Define if you prefer the non Unicode version (this
+#					  variable disables WITH_UNICODE and WANT_UNICODE).
+# WITH_WX_VER	- Define to the list of prefered versions in reverse order.
 #
 # The following variables are defined by this file, to be read from the port.
 # WX_UNICODE	- If this variable is not defined by the port (which means it
 #				  requires the Unicode version of WxWidgets), it will be
 #				  defined in the case the Unicode version is used (enabled by
-#				  the user through WITH_UNICODE).
+#				  WITH_UNICODE or WANT_UNICODE).
 # WX_VERSION	- The WxWidgets version that is going to be used.
 # HAVE_WX		- The list of WxWidgets components installed, if WANT_WX was
 #				  defined. The components will have version suffix if it was
-#				  set to "yes").
+#				  set to "yes".
 #
 # Examples:
 # - A port that needs WxWidgets 2.6 and contributed libraries with Unicode.
@@ -96,11 +96,11 @@
 # - A port that needs WxPython 2.4 for running.
 #	USE_PYTHON=	yes
 #	USE_WX=		2.4
-#	WX_COMPS=	python_run
+#	WX_COMPS=	python:run
 # - A port that needs WxPython 2.4 or 2.6 for building.
 #	USE_PYTHON=	yes
 #	USE_WX=		2.4 2.6
-#	WX_COMPS=	python_build
+#	WX_COMPS=	python:build
 # - A port that needs WxWidgets version 2.4 or higher and contributed
 #	libraries.
 #	USE_WX=		2.4+
@@ -108,11 +108,6 @@
 # - A port that needs WxWidgets of any version other than 2.4.
 #	USE_WX_NOT=	2.4
 #
-# Notes:
-# - The version is processed on each inclusion, so USE_WX, USE_WX_NOT and
-#	WX_UNICODE can be modified before and after including bsd.port.pre.mk.
-#	After determining the version and Unicode, WX_CONFIG will be defined.
-#
 
 WX_Include_MAINTAINER=	alepulver@FreeBSD.org
 
@@ -129,20 +124,14 @@
 # _WX_DEP_TYPES_ALL		- List of valid dependency types.
 # _WX_VERS_ALL			- List of supported versions.
 # _WX_VERS_UC_ALL		- List of Unicode capable versions.
-# _WX_CHANGE_VARS		- List of variables allowed to change between pre and
-#						  post inclusions (related to version).
-# _WX_LISTS_ORDER		- Reverse lists preference order.
-# _WX_AUTO_VARS			- Variables defined sometimes that may have to be
-#						  redefined later.
+# _WX_VERS_LISTS		- Reverse lists preference order.
 #
 
 _WX_COMPS_ALL=			wx contrib python mozilla svg
 _WX_DEP_TYPES_ALL=		build lib run
 _WX_VERS_ALL=			2.4 2.6
 _WX_VERS_UC_ALL=		2.6
-_WX_CHANGE_VARS=		USE_WX USE_WX_NOT WX_UNICODE
-_WX_LISTS_ORDER=		_WX_VER_FINAL WANT_WX_VER WITH_WX_VER
-_WX_AUTO_VARS=			USE_WX WX_CONFIG
+_WX_VERS_LISTS=			WANT_WX_VER WITH_WX_VER
 
 #
 # Variables used to determine what is needed:
@@ -150,55 +139,74 @@
 # _WX_LIB_comp_ver		- Name of the shared library (optional).
 # _WX_SHVER_comp_ver	- Shared library version (optional).
 # _WX_FILE_comp_ver		- File installed by that component.
+# _WX_DEPTYPE_comp_ver	- Default dependency type (optional).
 #
 
-_WX_PORT_wx_2.4=		wxgtk24
+_WX_PORT_wx_2.4=		x11-toolkits/wxgtk24
 _WX_LIB_wx_2.4=			wx_gtk2-2.4
 
-_WX_PORT_contrib_2.4=	wxgtk24-contrib
+_WX_PORT_contrib_2.4=	x11-toolkits/wxgtk24-contrib
 _WX_LIB_contrib_2.4=	wx_gtk2_canvas-2.4
 
-_WX_PORT_python_2.4=	py-wxPython24
+_WX_PORT_python_2.4=	x11-toolkits/py-wxPython24
 _WX_FILE_python_2.4=	${PYTHON_SITELIBDIR}/wx/__init__.py
 
-_WX_PORT_mozilla_2.4=	wxmozilla
+_WX_PORT_mozilla_2.4=	x11-toolkits/wxmozilla
 _WX_LIB_mozilla_2.4=	wxmozilla_gtk2-2.4
 
-_WX_PORT_wx_2.6=		wxgtk26${_WX_UCL}
+_WX_PORT_wx_2.6=		x11-toolkits/wxgtk26${_WX_UCL}
 _WX_LIB_wx_2.6=			wx_base${_WX_UC}-2.6
 
-_WX_PORT_contrib_2.6=	wxgtk26${_WX_UCL}-contrib
+_WX_PORT_contrib_2.6=	x11-toolkits/wxgtk26${_WX_UCL}-contrib
 _WX_LIB_contrib_2.6=	wx_gtk2${_WX_UC}_animate-2.6
 
-_WX_PORT_python_2.6=	py-wxPython26${_WX_UCL}
+_WX_PORT_python_2.6=	x11-toolkits/py-wxPython26${_WX_UCL}
 _WX_FILE_python_2.6=	${PYTHON_SITELIBDIR}/wx-2.6-gtk2${_WX_PYSUFX}/wx/__init__.py
 
-_WX_PORT_svg_2.6=		wxsvg
+_WX_PORT_svg_2.6=		x11-toolkits/wxsvg
 _WX_LIB_svg_2.6=		wxsvg
 
 # Set _WX_SHVER_comp_ver to 0 and _WX_FILE_comp_ver for libs appropiately.
+# Set _WX_DEPTYPE_comp_ver for "python" to "run", and others to "lib".
 
 .for comp in ${_WX_COMPS_ALL}
+_WX_COMP=				${comp}
 .	for ver in ${_WX_VERS_ALL}
 .		if defined(_WX_LIB_${comp}_${ver})
 _WX_SHVER_${comp}_${ver}=	0
 _WX_FILE_${comp}_${ver}=	${X11BASE}/lib/lib${_WX_LIB_${comp}_${ver}}.so.${_WX_SHVER_${comp}_${ver}}
 .		endif
+.		if ${_WX_COMP} == "python"
+_WX_DEPTYPE_${comp}_${ver}=	run
+.		else
+_WX_DEPTYPE_${comp}_${ver}=	lib
+.		endif
 .	endfor
 .endfor
 
 .endif		# !_WX_Defined_Done
 
 #
+# Check if the user/port wants Unicode.
+#
+
+.if ${OSVERSION} >= 500000 && (!defined(WITHOUT_UNICODE) && \
+    (defined(WITH_UNICODE) || defined(WANT_UNICODE)))
+_WX_UC_AVAILABLE=			yes
+.else
+.undef _WX_UC_AVAILABLE
+.endif
+
+#
 # Check for present components.
 #
 
-.if !defined(AFTERPORTMK) && defined(WANT_WX)
+.if defined(WANT_WX) && defined(BEFOREPORTMK)
 
 # Check if Unicode will be used.
 
 .	for __WANT_WX in ${WANT_WX}
-.		if defined(WITH_UNICODE) && ${OSVERSION} >= 500000 && \
+.		if defined(_WX_UC_AVAILABLE) && \
 		   (${_WX_VERS_UC_ALL:M${__WANT_WX}} != "" || ${WANT_WX:L} == "yes")
 _WX_WANT_UNICODE=		yes
 .		endif
@@ -247,50 +255,17 @@
 IGNORE?=				selected an invalid value for WANT_WX: ${__WANT_WX}
 .		endif
 .	endfor
-.endif		# ! AFTERPORTMK && WANT_WX
-
-#
-# Check if the version has changed between inclusions.
-#
-
-.if defined(_WX_Version_Done)
-.	undef _WX_HAS_CHANGED
-
-.	for var in ${_WX_CHANGE_VARS}
-.		if (defined(${var}) && !defined(_WX_OLD_${var})) || \
-		   (!defined(${var}) && defined(_WX_OLD_${var})) || \
-		   (defined(_WX_OLD_${var}) && ${_WX_OLD_${var}} != ${${var}})
-_WX_HAS_CHANGED=		yes
-.		endif
-.	endfor
-.endif		# _WX_Version_Done
+.endif		# WANT_WX && BEFOREPORTMK
 
 #
 # Select WxWidgets version.
 #
 
-.if (!defined(_WX_Version_Done) || defined(_WX_HAS_CHANGED)) && \
-	(defined(USE_WX) || defined(USE_WX_NOT))
+.if !defined(_WX_Version_Done) && (defined(POSTMKINCLUDED) || \
+    (defined(WX_PREMK) && defined(BEFOREPORTMK) && \
+    (defined(USE_WX) || defined(USE_WX_NOT))))
 _WX_Version_Done=		yes
 
-# Handle automatic variables.
-
-.for var in ${_WX_AUTO_VARS}
-.	if defined(_WX_${var}_DEFINED)
-.		undef ${var}
-.	endif
-.	if !defined(${var})
-_WX_${var}_DEFINED=		yes
-.	endif
-.endfor
-
-# Reset old variable values.
-
-.if defined(_WX_HAS_CHANGED)
-.	undef _WX_VER
-.	undef _WX_IGNORE
-.endif
-
 # Set defaults (if one isn't present).
 
 USE_WX?=				${_WX_VERS_ALL}
@@ -349,7 +324,7 @@
 # Check for a null version.
 
 .if empty(_WX_VER_MERGED)
-_WX_IGNORE?=			selected a null or invalid WxWidgets version
+IGNORE?=				selected a null or invalid WxWidgets version
 .endif
 
 #
@@ -365,9 +340,9 @@
 .	endif
 .endfor
 
-# Requested by the user (optional).
+# Requested by the user or port (optional).
 
-.if defined(WITH_UNICODE) && ${OSVERSION} >= 500000
+.if defined(_WX_UC_AVAILABLE)
 .	for ver in ${_WX_VER_UC}
 .		if ${_WX_VERS_UC_ALL:M${ver}} != ""
 WX_UNICODE=				yes
@@ -379,9 +354,9 @@
 
 .if defined(WX_UNICODE)
 .	if ${OSVERSION} < 500000
-_WX_IGNORE?=			requires FreeBSD versions >= 5.X (because of Unicode)
+IGNORE?=				requires FreeBSD versions >= 5.X (because of Unicode)
 .	elif empty(_WX_VER_UC)
-_WX_IGNORE?=			selected a WxWidgets version which does not support Unicode: ${_WX_VER_MERGED}
+IGNORE?=				selected a WxWidgets version which does not support Unicode: ${_WX_VER_MERGED}
 .	endif
 .endif
 
@@ -410,7 +385,7 @@
 # 3) _WX_VER_FINAL		- Available versions.
 #
 
-.for list in ${_WX_LISTS_ORDER}
+.for list in _WX_VER_FINAL ${_WX_VERS_LISTS}
 .	if defined(${list})
 .		for ver in ${${list}}
 .			if ${_WX_VER_FINAL:M${ver}} != ""
@@ -427,26 +402,14 @@
 WX_VERSION=				${_WX_VER}
 WX_CONFIG?=				${X11BASE}/bin/wxgtk2${_WX_UC}-${_WX_VER}-config
 
-# Define old values for detecting changes.
-
-.for var in ${_WX_CHANGE_VARS}
-.	if defined(${var})
-_WX_OLD_${var}:=		${${var}}
-.	endif
-.endfor
-
-.endif		# ! _WX_Version_Done || _WX_HAS_CHANGED
+.endif		# !_WX_Version_Done && (_POSTMKINCLUDED || \
+#			(WX_PREMK && BEFOREPORTMK && (USE_WX || USE_WX_NOT)))
 
 #
 # Process components list and add dependencies, variables, etc.
 #
 
-.if !defined(BEFOREPORTMK)
-# Error check.
-
-.if defined(_WX_IGNORE)
-IGNORE?=				${_WX_IGNORE}
-.endif
+.if defined(_POSTMKINCLUDED)
 
 #
 # Component parsing.
@@ -466,10 +429,11 @@
 
 _WX_COMPS_FINAL=		#
 .for comp in ${WX_COMPS}
-_WX_COMP=				${comp:C/_([[:alpha:]]+)$//}
-_WX_DEP_TYPE=			${comp:C/.+_([[:alpha:]]+)$/\1/}
+_WX_COMP=				${comp:C/:([[:alpha:]]+)$//}
 .	if ${_WX_COMP} == ${comp}
-_WX_DEP_TYPE=			lib
+_WX_DEP_TYPE=			${_WX_DEPTYPE_${comp}_${_WX_VER}}
+.	else
+_WX_DEP_TYPE=			${comp:C/.+:([[:alpha:]]+)$/\1/}
 .	endif
 _WX_COMP_NEW=			${_WX_COMP}_${_WX_DEP_TYPE}
 .	for __WX_COMP in ${_WX_COMP}
@@ -501,16 +465,19 @@
 .for comp in ${_WX_COMPS_FINAL}
 _WX_COMP=				${comp:C/_([[:alpha:]]+)$//}
 _WX_DEP_TYPE=			${comp:C/.+_([[:alpha:]]+)$/\1/}
-.	if ${_WX_DEP_TYPE} == "lib"
-.		if defined(_WX_LIB_${_WX_COMP}_${_WX_VER})
-LIB_DEPENDS+=			${_WX_LIB_${_WX_COMP}_${_WX_VER}}:${PORTSDIR}/x11-toolkits/${_WX_PORT_${_WX_COMP}_${_WX_VER}}
+# XXX Need a .for loop here so the variable is expanded before the assignment.
+.	for comp_part in ${_WX_COMP}
+.		if ${_WX_DEP_TYPE} == "lib"
+.			if defined(_WX_LIB_${_WX_COMP}_${_WX_VER})
+LIB_DEPENDS+=			${_WX_LIB_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
+.			else
+BUILD_DEPENDS+=			${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
+RUN_DEPENDS+=			${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
+.			endif
 .		else
-BUILD_DEPENDS+=			${_WX_FILE_${_WX_COMP}_${_WX_VER}}:${PORTSDIR}/x11-toolkits/${_WX_PORT_${_WX_COMP}_${_WX_VER}}
-RUN_DEPENDS+=			${_WX_FILE_${_WX_COMP}_${_WX_VER}}:${PORTSDIR}/x11-toolkits/${_WX_PORT_${_WX_COMP}_${_WX_VER}}
+${_WX_DEP_TYPE:U}_DEPENDS+=	${_WX_FILE_${comp_part}_${_WX_VER}}:${PORTSDIR}/${_WX_PORT_${comp_part}_${_WX_VER}}
 .		endif
-.	else
-${_WX_DEP_TYPE:U}_DEPENDS+=	${_WX_FILE_${_WX_COMP}_${_WX_VER}}:${PORTSDIR}/x11-toolkits/${_WX_PORT_${_WX_COMP}_${_WX_VER}}
-.	endif
+.	endfor
 .endfor
 
 #
@@ -531,4 +498,4 @@
 .	endif
 .endif
 
-.endif		# ! BEFOREPORTMK
+.endif		# _POSTMKINCLUDED
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2006-08-28 05:45:59 UTC
State Changed
From-To: open->analyzed

Accepted for a test build on the cluster.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2006-09-15 08:37:53 UTC
State Changed
From-To: analyzed->feedback

There were some errors detected even in the later version of this patch 
while on the cluster (some of the patches may not be included here). 
Submitter has been made aware of this and provided with error logs. 
Unfortuanately time before 6.2 is too short to allow it to be further tested.
Comment 10 Alejandro Pulver freebsd_committer 2006-11-26 23:22:57 UTC
On Fri, 15 Sep 2006 07:38:59 GMT
Mark Linimon <linimon@FreeBSD.org> wrote:

> There were some errors detected even in the later version of this patch
> while on the cluster (some of the patches may not be included here).
> Submitter has been made aware of this and provided with error logs.
> Unfortuanately time before 6.2 is too short to allow it to be further tested.
> 


The bsd.wx.mk patches were not included in the tests (patchset
20060907).

Also the new bsd.wx.mk has been committed (only a few ports needed to
be modified).

Best Regards,
Ale
Comment 11 Pav Lucistnik freebsd_committer 2006-11-29 18:14:36 UTC
Where does this PR stands? I see the Mk/* patches were committed.
Does that mean the PR can be closed now?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Do not meddle in the affairs of Wizards, for they are subtle and
quick to anger.
Comment 12 Alejandro Pulver freebsd_committer 2006-11-30 18:56:24 UTC
On Wed, 29 Nov 2006 19:14:36 +0100
Pav Lucistnik <pav@FreeBSD.org> wrote:

> Where does this PR stands? I see the Mk/* patches were committed.
> Does that mean the PR can be closed now?
> 


The other part of the PR is a set of patches for all the ports that use
wxWidgets to make use of bsd.wx.mk. I guess only a few of them won't
apply (they are about 50 ports).

If you want I could send another PR with a new set of patches.

Best Regards,
Ale
Comment 13 Pav Lucistnik freebsd_committer 2006-12-01 07:36:28 UTC
State Changed
From-To: feedback->closed

All parts of this PR were committed.
Comment 14 dfilter service freebsd_committer 2006-12-01 07:39:08 UTC
pav         2006-12-01 07:39:02 UTC

  FreeBSD ports repository

  Modified files:
    audio/audacity       Makefile 
    audio/mbox           Makefile 
    biology/L-Breeder    Makefile 
    cad/kicad            Makefile 
    chinese/BBMan        Makefile 
    comms/trustedqsl     Makefile 
    comms/trustedqsl/files Makefile Makefile.TrustedQSL-1.11 
    databases/pgadmin3   Makefile 
    databases/pgadmin3-12 Makefile 
    databases/pydbdesigner Makefile 
    deskutils/cycle      Makefile 
    devel/agide          Makefile 
    devel/boaconstructor Makefile 
    devel/datadesigner   Makefile 
    devel/drpython       Makefile 
    devel/ecos-tools     Makefile 
    devel/ecos-tools/files 
                           patch-host::tools::configtool::standalone::wxwin::makefile.gnu 
    devel/klassmodeler   Makefile 
    devel/wxGlade        Makefile 
    editors/poedit       Makefile 
    editors/spe          Makefile 
    ftp/ftpcube          Makefile 
    games/abridge        Makefile 
    games/blokish        Makefile 
    games/scorched3d     Makefile 
    graphics/comical     Makefile 
    graphics/hugin       Makefile 
    graphics/multivideo  Makefile 
    graphics/wxsvg       Makefile 
    graphics/xaralx      Makefile 
    graphics/zphoto      Makefile 
    mail/mahogany        Makefile 
    math/gambit          Makefile 
    math/graphthing      Makefile 
    misc/diary-hercules  Makefile 
    misc/documancer      Makefile 
    multimedia/mkvtoolnix Makefile 
    multimedia/tovid     Makefile 
    multimedia/vlc       Makefile Makefile.inc 
    multimedia/vlc-devel Makefile Makefile.inc 
    net/boinc-client     Makefile 
    net/py-mp-random     Makefile 
    net-p2p/amule1       Makefile 
    net-p2p/amule2       Makefile 
    net-p2p/mute-net     Makefile 
    net-p2p/py-bittornado Makefile 
    net-p2p/py-kenosis-bittorrent Makefile 
    net-p2p/pyslsk       Makefile 
    net-p2p/xmule        Makefile 
    science/py-scipy     Makefile 
    security/hashish     Makefile 
    security/newpki-client Makefile 
    security/newpki-client/files patch-configure 
    sysutils/bacula-server Makefile 
    sysutils/bacula-server-devel Makefile 
    textproc/py-dsv      Makefile 
    x11-fm/jaffm         Makefile 
    x11-toolkits/py-SciParam Makefile 
    x11-toolkits/py-wxPython24 Makefile 
    x11-toolkits/py-wxPython26 Makefile 
    x11-toolkits/py-wxPython26-common Makefile 
    x11-toolkits/py-wxPython26-unicode Makefile 
    x11-toolkits/ruby-wx Makefile 
    x11-toolkits/wxgtk24-contrib Makefile 
    x11-toolkits/wxgtk26 Makefile 
    x11-toolkits/wxmozilla Makefile 
  Log:
  - Use features of bsd.wx.mk, especially USE_WX
  
  PR:             ports/101613
  Submitted by:   alepulver
  
  Revision  Changes    Path
  1.32      +2 -3      ports/audio/audacity/Makefile
  1.9       +3 -3      ports/audio/mbox/Makefile
  1.21      +2 -4      ports/biology/L-Breeder/Makefile
  1.15      +1 -6      ports/cad/kicad/Makefile
  1.14      +2 -3      ports/chinese/BBMan/Makefile
  1.12      +2 -2      ports/comms/trustedqsl/Makefile
  1.4       +1 -1      ports/comms/trustedqsl/files/Makefile
  1.3       +2 -2      ports/comms/trustedqsl/files/Makefile.TrustedQSL-1.11
  1.24      +5 -17     ports/databases/pgadmin3-12/Makefile
  1.29      +2 -8      ports/databases/pgadmin3/Makefile
  1.16      +2 -2      ports/databases/pydbdesigner/Makefile
  1.6       +2 -2      ports/deskutils/cycle/Makefile
  1.9       +3 -2      ports/devel/agide/Makefile
  1.18      +2 -2      ports/devel/boaconstructor/Makefile
  1.8       +3 -4      ports/devel/datadesigner/Makefile
  1.5       +2 -2      ports/devel/drpython/Makefile
  1.13      +3 -3      ports/devel/ecos-tools/Makefile
  1.2       +3 -3      ports/devel/ecos-tools/files/patch-host::tools::configtool::standalone::wxwin::makefile.gnu
  1.12      +1 -3      ports/devel/klassmodeler/Makefile
  1.17      +2 -8      ports/devel/wxGlade/Makefile
  1.46      +4 -2      ports/editors/poedit/Makefile
  1.11      +2 -8      ports/editors/spe/Makefile
  1.23      +2 -1      ports/ftp/ftpcube/Makefile
  1.13      +2 -3      ports/games/abridge/Makefile
  1.2       +2 -3      ports/games/blokish/Makefile
  1.32      +5 -8      ports/games/scorched3d/Makefile
  1.4       +2 -3      ports/graphics/comical/Makefile
  1.14      +3 -4      ports/graphics/hugin/Makefile
  1.20      +1 -4      ports/graphics/multivideo/Makefile
  1.8       +1 -4      ports/graphics/wxsvg/Makefile
  1.27      +5 -7      ports/graphics/xaralx/Makefile
  1.23      +2 -4      ports/graphics/zphoto/Makefile
  1.29      +3 -4      ports/mail/mahogany/Makefile
  1.21      +2 -5      ports/math/gambit/Makefile
  1.28      +2 -3      ports/math/graphthing/Makefile
  1.4       +3 -2      ports/misc/diary-hercules/Makefile
  1.13      +3 -3      ports/misc/documancer/Makefile
  1.33      +3 -5      ports/multimedia/mkvtoolnix/Makefile
  1.12      +3 -2      ports/multimedia/tovid/Makefile
  1.160     +2 -13     ports/multimedia/vlc-devel/Makefile
  1.9       +2 -8      ports/multimedia/vlc-devel/Makefile.inc
  1.135     +2 -13     ports/multimedia/vlc/Makefile
  1.4       +2 -8      ports/multimedia/vlc/Makefile.inc
  1.23      +3 -4      ports/net-p2p/amule1/Makefile
  1.13      +3 -4      ports/net-p2p/amule2/Makefile
  1.19      +1 -3      ports/net-p2p/mute-net/Makefile
  1.26      +2 -1      ports/net-p2p/py-bittornado/Makefile
  1.29      +2 -1      ports/net-p2p/py-kenosis-bittorrent/Makefile
  1.20      +3 -11     ports/net-p2p/pyslsk/Makefile
  1.48      +4 -6      ports/net-p2p/xmule/Makefile
  1.21      +2 -2      ports/net/boinc-client/Makefile
  1.5       +2 -2      ports/net/py-mp-random/Makefile
  1.12      +2 -7      ports/science/py-scipy/Makefile
  1.28      +2 -3      ports/security/hashish/Makefile
  1.7       +2 -3      ports/security/newpki-client/Makefile
  1.2       +2 -2      ports/security/newpki-client/files/patch-configure
  1.11      +1 -2      ports/sysutils/bacula-server-devel/Makefile
  1.73      +1 -2      ports/sysutils/bacula-server/Makefile
  1.8       +2 -1      ports/textproc/py-dsv/Makefile
  1.5       +2 -13     ports/x11-fm/jaffm/Makefile
  1.7       +2 -2      ports/x11-toolkits/py-SciParam/Makefile
  1.55      +1 -3      ports/x11-toolkits/py-wxPython24/Makefile
  1.5       +0 -2      ports/x11-toolkits/py-wxPython26-common/Makefile
  1.2       +1 -1      ports/x11-toolkits/py-wxPython26-unicode/Makefile
  1.62      +7 -20     ports/x11-toolkits/py-wxPython26/Makefile
  1.13      +3 -4      ports/x11-toolkits/ruby-wx/Makefile
  1.11      +1 -1      ports/x11-toolkits/wxgtk24-contrib/Makefile
  1.30      +9 -20     ports/x11-toolkits/wxgtk26/Makefile
  1.23      +4 -6      ports/x11-toolkits/wxmozilla/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"